/******radiating button*******/
.backhi {
  margin-left: -3rem;
}
.buttonhi {
  display: inline-block;
  padding: 0.75rem 1.25rem;
  border-radius: 10rem;
  color: #fff;
  text-transform: uppercase;
  font-size: 1rem;
  letter-spacing: 0.15rem;
  transition: all 0.3s;
  position: relative;
  overflow: hidden;
  z-index: 1;
}
.buttonhi:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 10rem;
  z-index: -2;
}
.buttonhi:before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background-color: #d72424;
  transition: all 0.3s;
  border-radius: 10rem;
  z-index: -1;
}
.buttonhi:hover {
  color: #fff;
}
.buttonhi:hover:before {
  width: 100%;
}
.buttonhi {
  font-family: Arial;
  text-decoration: none;
  font-size: 20px;
}
.containerhi {
  margin: 0 auto;
  width: 100%;
  text-align: center;
}
h1.containerhi {
  text-transform: uppercase;
  font-size: 0.8rem;
  color: #777;
}
span.containerhi {
  display: block;
  margin-top: 2rem;
  font-size: 0.7rem;
  color: #777;
}
span a .containerhi {
  font-size: 0.7rem;
  color: #999;
  text-decoration: underline;
}
.lds-ripple {
  display: inline-block;
  position: relative;
  top: 1.1rem;
  left: 4.7rem;
  width: 80px;
  height: 80px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #fff;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@media only screen and (max-width: 280px) {
  .buttonhi {
    padding: 0.75rem 0.25rem;
  }
  .lds-ripple {
    left: 3.7rem;
  }
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}
/*****blog book flipping******/
.bookhi {
  transition: opacity 0.4s 0.2s;
}

.bookhi p {
  margin-top: 8vmin;
  text-align: center;
  /* font-family: 'Poppins', Helvetica, Arial, Lucida, sans-serif; */
  font-family: "Lovers Quarrel", cursive;
  font-weight: 500;
  font-size: 5vmin;
  line-height: 1em;
  color: #000000;
}

.pagehi {
  width: 50vmin;
  height: 84vmin;
  background-color: #111111;
  float: left;
  margin-bottom: 0.5em;
  background: left top no-repeat;
  background-size: cover;
}
.bookhi img {
  width: 100%;
}
.pagehi:nth-child(even) {
  clear: both;
}

.bookhi {
  perspective: 250vmin;
  height: 100%;
}

.bookhi .pagehis {
  width: 100vmin;
  height: 84vmin;
  position: relative;
  transform-style: preserve-3d;
  backface-visibility: hidden;
  border-radius: vmin;
  /*box-shadow: 0 0 0 vmin #e3dfd8;*/
}

.bookhi .pagehi {
  float: none;
  clear: none;
  margin: 0;
  position: absolute;
  top: 0;
  width: 50vmin;
  height: 84vmin;
  transform-origin: 0 0;
  transition: transform 1.4s;
  backface-visibility: hidden;
  transform-style: preserve-3d;
  cursor: pointer;
  user-select: none;
  background-color: #f0f0f0;
}

.bookhi .pagehi:before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0);
  transition: background 0.7s;
  z-index: 2;
}

.bookhi .pagehi:nth-child(odd) {
  pointer-events: all;
  transform: rotateY(0deg);
  right: 0;
  border-radius: 0 vmin vmin 0;
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.15) 0%,
    rgba(0, 0, 0, 0) 10%
  );
}

.bookhi .pagehi:nth-child(odd):hover {
  transform: rotateY(-15deg);
}

.bookhi .pagehi:nth-child(odd):hover:before {
  background: rgba(0, 0, 0, 0.03);
}

.bookhi .pagehi:nth-child(odd):before {
  background: rgba(0, 0, 0, 0);
}

.bookhi .pagehi:nth-child(even) {
  pointer-events: none;
  transform: rotateY(180deg);
  transform-origin: 100% 0;
  left: 0;
  border-radius: vmin 0 0 vmin;
  border-color: black;
  background-image: linear-gradient(
    to left,
    rgba(0, 0, 0, 0.12) 0%,
    rgba(0, 0, 0, 0) 10%
  );
}

.bookhi .pagehi:nth-child(even):before {
  background: rgba(0, 0, 0, 0.2);
}

.bookhi .pagehi.grabbing {
  transition: none;
}

.bookhi .pagehi.flipped:nth-child(odd) {
  pointer-events: none;
  transform: rotateY(-180deg);
}

.bookhi .pagehi.flipped:nth-child(odd):before {
  background: rgba(0, 0, 0, 0.2);
}

.bookhi .pagehi.flipped:nth-child(even) {
  pointer-events: all;
  transform: rotateY(0deg);
}

.bookhi .pagehi.flipped:nth-child(even):hover {
  transform: rotateY(15deg);
}

.bookhi .pagehi.flipped:nth-child(even):hover:before {
  background: rgba(0, 0, 0, 0.03);
}

.bookhi .pagehi.flipped:nth-child(even):before {
  background: rgba(0, 0, 0, 0);
}

* .bookhi,
* .bookhi:before,
* .bookhi:after {
  box-sizing: border-box;
}

/* html,
body {
  font-family: 'Lovers Quarrel', cursive;
  background: #333;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
html {
  height: 100%;
}
*/
body .bookhi {
  min-height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2em 0;
  line-height: 1.5em;
}
.pagehi:nth-child(odd) {
  background-position: right top;
}
